-----------------------------------------------------------------------------
-- |
-- Module      : Data.Array.Vector.Strict.Text
-- Copyright   : (c) 2006         Manuel M T Chakravarty & Roman Leshchinskiy
-- License     : see libraries/ndp/LICENSE
-- 
-- Maintainer  : Roman Leshchinskiy <rl@cse.unsw.edu.au>
-- Stability   : internal
-- Portability : portable
--
-- Description ---------------------------------------------------------------
--
--  Read\/Show instances for flat unlifted arrays.
--
-- Todo ----------------------------------------------------------------------
--

module Data.Array.Vector.Strict.Text ({- instances -}) where

import Data.Array.Vector.UArr
import Data.Array.Vector.Strict.Basics
import Data.Array.Vector.Prim.Text

instance (Show e, UA e) => Show (UArr e) where
  showsPrec k = showsApp k "toU" . fromU

instance (Read e, UA e) => Read (UArr e) where
  readPrec = fmap toU (readApp "toU")

